package com.css.simulation.resource.scheduler.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.KafkaParameter;
import api.common.pojo.param.MinioParameter;
import com.css.simulation.resource.scheduler.feign.DemoService;
import feign.Response;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;


@Service
@Slf4j
public class DemoServiceFallback implements DemoService {

    @Override
    public ResponseBodyVO<String> upload(@RequestPart("file") MultipartFile file,
                                         @RequestParam("objectName") String objectName) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public Response download(@RequestBody @Validated MinioParameter minioParameter) {
        log.error("------- 下载错误：" + minioParameter.getObjectName());
        return null;
    }

    @Override
    public ResponseBodyVO<String> send(KafkaParameter kafkaParameter) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }
}
